Iot Dps Resource - List Keys For Key Name

Primaire en secundaire sleutels voor een specifieke sleutelnaam weergeven

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/provisioningServices/{provisioningServiceName}/keys/{keyName}/listkeys?api-version=2026-08-31

URI-parameters

Name In Vereist Type Description
keyName
path True

string

Logische sleutelnaam om sleutelwaarden voor te krijgen.

provisioningServiceName
path True

string

Naam van de provisioning-dienst die opgehaald moet worden.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resource group. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De ID van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

SharedAccessSignatureAuthorizationRuleAccessRightsDescription

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorDetails

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

DPSGetKey

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/provisioningServices/myFirstProvisioningService/keys/testKey/listkeys?api-version=2026-08-31

Voorbeeldrespons

{
  "keyName": "testKey",
  "primaryKey": "##################################",
  "rights": "RegistrationStatusWrite",
  "secondaryKey": "################################"
}

Definities

Name Description
AccessRightsDescription

Rechten die deze sleutel heeft.

ErrorDetails

Foutdetails.

SharedAccessSignatureAuthorizationRuleAccessRightsDescription

Beschrijving van de gedeelde toegangssleutel.

AccessRightsDescription

Rechten die deze sleutel heeft.

Waarde Description
ServiceConfig
EnrollmentRead
EnrollmentWrite
DeviceConnect
RegistrationStatusRead
RegistrationStatusWrite

ErrorDetails

Foutdetails.

Name Type Description
code

integer (int32)

De foutcode.

details

string

De foutgegevens.

httpStatusCode

string

De HTTP-statuscode.

message

string

Het foutbericht.

SharedAccessSignatureAuthorizationRuleAccessRightsDescription

Beschrijving van de gedeelde toegangssleutel.

Name Type Description
keyName

string

Naam van de sleutel.

primaryKey

string

Primaire SAS-sleutelwaarde.

rights

AccessRightsDescription

Rechten die deze sleutel heeft.

secondaryKey

string

Secundaire SAS-sleutelwaarde.